# Consult configurations This endpoint allows you to query the current configuration of your reports. In case of success, the request will return a response with status 200. **GET** `/v1/account/settlement_report/config` ## Response parameters - `file_name_prefix` (string, optional) Prefix that composes the report name once generated and ready for download, not allowing empty or null values. - `display_timezone` (string, optional) This field sets the date and time displayed in the reports. In the absence of a specific time zone configuration, the system defaults to GMT-04. For time zones subject to daylight saving time, manual adjustments will be necessary to reflect the time changes. - `include_withdrawal_at_end` (boolean, optional) Indicates whether withdrawal transactions made at the end of the date range should be included. - `scheduled` (boolean, optional) Informative field indicating whether there are already scheduled reports in the user's account. It will be 'true' if automatic generation is enabled, and 'false' if it is disabled. - `execute_after_withdrawal` (boolean, optional) This parameter determines whether the report will be executed after a withdrawal is made. - `columns` (array, optional) Field with the details of the columns to be included in the report. Find all possible values in the Glossary section (https://www.mercadopago.com/developers/en/docs/reports/account-money/report-fields). - `columns[].key` (string, optional) Name of the report column you want to display. - `report_translation` (string, optional) Configured report language. - `frequency` (object, optional) This field indicates the frequency with which the report should be generated, which can be daily, weekly, or monthly. - `frequency.hour` (number, optional) Hour at which the report will be generated, in 24-hour format. - `frequency.value` (number, optional) Defines the report periodicity and complements the "type" attribute. For example: if "type" is "monthly" and this value is "1", the report will be generated on the first day of each month. If "type" is "daily", the value should be 0. If "type" is "weekly", use day names ("monday", "tuesday", etc.). - `frequency.type` (string, optional) Frequency type: daily, weekly, or monthly. This field communicates directly with the "value" field. - `frequency.shipping_detail` (boolean, optional) Includes shipping details. - `frequency.coupon_detailed` (boolean, optional) Includes discount coupon details. - `frequency.show_chargeback_cancel` (boolean, optional) Includes chargeback cancellation details. - `frequency.show_fee_prevision` (boolean, optional) Includes fee details. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 401 | Invalid token | Invalid token. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/account/settlement_report/config' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "file_name_prefix": "settlement-report-USER_ID", "display_timezone": "GMT-04", "include_withdrawal_at_end": true, "scheduled": false, "execute_after_withdrawal": false, "columns": [ { "key": "SOURCE_ID" } ], "report_translation": "es", "frequency": { "hour": 0, "value": 1, "type": "monthly", "shipping_detail": true, "coupon_detailed": true, "show_chargeback_cancel": true, "show_fee_prevision": true } } ```